Bug 50959 - VIEWING: last used window size and position not remebered
Summary: VIEWING: last used window size and position not remebered
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 04:33 UTC by stof999
Modified: 2013-06-24 14:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stof999 2012-06-11 04:33:17 UTC
Problem description: 

Steps to reproduce:
1. open writer/calc document, change window size/position, change text, store document, close writer/calc (no instance is running)  ....
2. open writer/calc document....


Current behavior:
window size and position is always the same.

Expected behavior:
window size and position should be used like in last closed document. like it was in v3.4.

Platform (if different from the browser): 

LibreOffice 3.5.4.2 Build-ID: 165a79a-7059095-e13bb37-fef39a4-9503d1
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 bfoman (inactive) 2012-06-21 05:08:22 UTC
Checked with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Window size and position of startcenter is saved.
Window size and position of Writer when opened directly is saved.
When Writer is opened via startcenter it is using startcenter's saved window size and position.
Comment 2 stof999 2012-06-21 06:34:14 UTC
until now i used LO from the suse (linux distro) repository. the window properties were managed correct. 
the last LO version was installed directly from LO.
since then the window settings (size+position) are set always the same.
i don't know whats the reason for that behavior.
Comment 3 Joel Madero 2013-06-22 16:24:35 UTC
3.6.6, 4.0.4 and 4.2 tested on Bodhi Linux, all work great.

Something similar happened to someone else and I believe resetting user profile helped: https://wiki.documentfoundation.org/UserProfile

Also - in general we recommend sticking with your distros repo version of LibreOffice as they may do something additional that isn't in the core code. 

Marking as WFM as bfoman and myself cannot reproduce.

@stof999 - worst case I recommend going back to repo version, but try resetting profile (back it up first!) to see if that fixes it

Thanks for reporting!
Comment 4 stof999 2013-06-24 06:01:00 UTC
now i'm using Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

the behavior in that version is:
1) the window size will be stored.
2) the window position is allways centered on the screen.

1) is ok!
2) i would like to get new windows in the last used position. but this could be different for other users?

thanks
Comment 5 Joel Madero 2013-06-24 14:02:28 UTC
Indeed I think this is just a preference thing - I know I just handled a similar report where the user explicitly wanted it the exact way we now have it (ie. slightly below the last window) because then they can read the title of the documents and easily switch between them.

So - leaving as WFM :-D Glad it's resolved